Name: wget
Version: 1.25.0
Release: 1%{?dist}
# Generally wget is distributed under GPLv3 or later but there are files in lib/ directory
# which are under LGPLv2.1 or later and are actually built into the resulting rpm.
# This version of wget is built with gnutls so I believe that the 'with openssl'
# part in some files is not applicable here.
Summary: A utility for retrieving files using the HTTP or FTP protocols
License: GPL-3.0-or-later AND LGPL-2.1-or-later
Url: https://www.gnu.org/software/wget/
Packager: Teddysun <i@teddysun.com>
Source: https://ftp.gnu.org/gnu/wget/wget-%{version}.tar.gz

# Patch1: wget-1.17-path.patch
# Patch2: wget-1.21.3-hsts-32bit.patch
# https://gitlab.com/gnuwget/wget/-/merge_requests/36
# Patch3: wget-1.21.4-py312.patch
# Patch4: wget-1.21.3-metalink-gnupg.patch

Provides: webclient
Provides: bundled(gnulib)
%if 0%{?rhel} < 8
BuildRequires: devtoolset-9-gcc devtoolset-9-make
%else
BuildRequires: gcc make
%endif
# needed for test suite
BuildRequires: perl(lib)
BuildRequires: perl(English)
BuildRequires: perl(HTTP::Daemon)
BuildRequires: gnutls-devel
BuildRequires: pkgconfig
BuildRequires: texinfo
BuildRequires: gettext
BuildRequires: autoconf
BuildRequires: libidn2-devel
BuildRequires: libuuid-devel
BuildRequires: perl-podlators
BuildRequires: libpsl-devel
BuildRequires: gpgme-devel
BuildRequires: zlib-devel
%if %{undefined rhel}
BuildRequires: libmetalink-devel
%endif

%description
GNU Wget is a file retrieval utility which can use either the HTTP or
FTP protocols. Wget features include the ability to work in the
background while you are logged out, recursive retrieval of
directories, file name wildcard matching, remote file timestamp
storage and comparison, use of Rest with FTP servers and Range with
HTTP servers to retrieve files over slow or unstable connections,
support for Proxy servers, and configurability.

%prep
%autosetup

# modify the package string
sed -i "s|\(PACKAGE_STRING='wget .*\)'|\1 (Red Hat modified)'|" configure
grep "PACKAGE_STRING='wget .* (Red Hat modified)'" configure || exit 1

%build
%if 0%{?rhel} < 8
%enable_devtoolset9
%endif
%configure \
    --with-ssl=gnutls \
    --with-libpsl \
    --enable-largefile \
    --enable-opie \
    --enable-digest \
    --enable-ntlm \
    --enable-nls \
    --enable-ipv6 \
    --disable-rpath \
%if %{defined rhel}
    --without-metalink \
%else
    --with-metalink \
%endif
    --disable-year2038

%{make_build}

%install
rm -rf %{buildroot}
%{make_install} CFLAGS="$RPM_OPT_FLAGS"
rm -f %{buildroot}/%{_infodir}/dir

%find_lang %{name}
%find_lang %{name}-gnulib

%check
#make check

%files -f %{name}.lang -f %{name}-gnulib.lang
%doc AUTHORS MAILING-LIST NEWS README COPYING doc/sample.wgetrc
%config(noreplace) %{_sysconfdir}/wgetrc
%{_mandir}/man1/wget.*
%{_bindir}/wget
%{_infodir}/*

%changelog
* Wed Nov 13 2024 Teddysun <i@teddysun.com> - 1.25.0-1
- Update version to 1.25.0

* Thu Aug 22 2024 Teddysun <i@teddysun.com> - 1.24.5-1
- Update version to 1.24.5

* Tue Oct 31 2023 Teddysun <i@teddysun.com> - 1.21.4-1
- New version 1.21.4
